image: node:alpine

stages:
  - test
  - scan
  - build

include:
  - template: Security/Dependency-Scanning.gitlab-ci.yml

variables:
  CACHE_PATH: node_modules/
  IMAGE_NAME: product-microservice
  IMAGE_TAG: "1.0"
  CONTAINER_REGISTRY: registry.gitlab.com

scan:
  stage: scan
  before_script:
    - cd product-microservice
  script:
    - npm install
    - npm audit

build:
  stage: build
  before_script:
    - cd product-microservice
  script:
    - npm install
  artifacts:
    paths:
      - node_modules
